Bug 9183 - DNS server does not listen on localhost
DNS server does not listen on localhost
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: DNS server
4.0.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 22:28 UTC by Steinar H. Gunderson
Modified: 2012-10-01 07:20 UTC (History)
0 users

See Also:


Attachments
Patch for v4-0-test (2.91 KB, patch)
2012-09-25 05:55 UTC, Kai Blin
kai: review+
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steinar H. Gunderson 2012-09-19 22:28:49 UTC
As the summary says, pretty much. The built-in DNS server (as given to us by classicupgrade) listens on all of our external IPv4 and IPv6 interfaces, but not 127.0.0.1 and ::1. It probably should.
Comment 1 Kai Blin 2012-09-20 07:25:26 UTC
Thanks for reporting this bug. I'm working on a fix for rc2.
Comment 2 Matthias Dieter Wallnöfer 2012-09-21 12:44:16 UTC
Kai, some time ago I made an attempt on fixing this: http://repo.or.cz/w/Samba/mdw.git/commitdiff/7aee4a4a8f76d74235b2f8a064e581dd0f143f4a
I do not know how correct it is but it could be useful.
Comment 3 Kai Blin 2012-09-21 17:05:07 UTC
Thanks for the patch, Matthias. I've just pushed this to my repo and will push to autobuild later today.
Comment 4 Kai Blin 2012-09-23 22:43:15 UTC
Should be fixed in current master by 5f973631b6ba6666ecf5f026d07dded9da15650e, I'll prepare a patch for 4.0-test as well.
Comment 5 Kai Blin 2012-09-25 05:55:00 UTC
Created attachment 7935 [details]
Patch for v4-0-test

Matthias' patch, based off v-4-0-test.
Comment 6 Andrew Bartlett 2012-09-25 06:01:17 UTC
Comment on attachment 7935 [details]
Patch for v4-0-test

Looks reasonable to me.
Comment 7 Kai Blin 2012-09-30 06:52:15 UTC
Karolin, please pick for RC2
Comment 8 Karolin Seeger 2012-10-01 07:20:31 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!